CLOCKWORKD(1)

NAME
clockworkd - daemon executing clockwork scripts

SYNOPSIS
clockworkd [-c FILE] [OPTIONS] {start|stop|restart|run}

DESCRIPTION
clockworkd executes clockwork script as a daemon.

You will need the daemons gem to use clockworkd. It is not automatically installed, please install by yourself.

OPTIONS

--pid-dir=DIR
    Alternate directory in which to store the process ids. Default is GEM_LOCATION/tmp.

-i, --identifier=STR
    An identifier for the process. Default is clock file name.

-l, --log
    Redirect both STDOUT and STDERR to a logfile named clockworkd[.identifier].output in the pid-file directory.

--log-dir=DIR
    A specific directory to put the log files into. Default location is pid directory.

-m, --monitor
    Start monitor process.

-c, --clock=FILE
    Clock .rb file. Default is GEM_LOCATION/clock.rb.

-d, --dir=DIR
    Directory to change to once the process starts

-h, --help
    Show help message.

BUGS
If you find a bug, please create an issue https://github.com/tomykaira/clockwork/issues.

For a bug fix or a feature request, please send a pull-request. Do not forget to add tests to show how your feature works, or what bug is fixed. All existing tests and new tests must pass (TravisCI is watching).

AUTHORS
Created by Adam Wiggins.

Inspired by rufus-scheduler and resque-scheduler.

Design assistance from Peter van Hardenberg and Matthew Soldo.

Patches contributed by Mark McGranaghan and Lukáš Konarovský.

SEE ALSO
https://github.com/tomykaira/clockwork.